﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace RangeNavigatorSample
{
    public partial class RangeNavigatorDemo : ContentPage
    {
        public RangeNavigatorDemo()
        {
            InitializeComponent();

            dateTimeAxis.Minimum = DateTime.Now.AddDays(-2);
            dateTimeAxis.Maximum = DateTime.Now;
            RangeNavigator.Minimum = DateTime.Now.AddDays(-2);
            RangeNavigator.Maximum = DateTime.Now;
        }
        void nac_RangeChanged(object sender, Syncfusion.RangeNavigator.XForms.RangeChangedEventArgs e)
        {
            dateTimeAxis.Minimum = e.ViewRangeStartDate;
            dateTimeAxis.Maximum = e.ViewRangeEndDate;
        }
    }
}
